TransferFile = {}
TransferCount = 0

function InitTransfer()
	local tf = io.open("sys/servertransfer.lst","r")
	if tf then
		for line in tf:lines() do
			TransferFile[line] = true
		end
		tf:close()
	end
	InitTransfer = nil
end; InitTransfer()

function AddTransferFile(file)
	if not TransferFile[file] then
		TransferFile[file] = true

		local f = io.open("sys/servertransfer.lst","a+")
		if f then
			f:write("\n"..file)
			f:close()
			
			TransferCount = TransferCount + 1
		end
	end
end

function Init()
	if TransferCount > 0 then
		parse("changemap "..map("name"))
	end
end